﻿using System;
using Microsoft.Dss.Core.Attributes;
using Microsoft.Dss.Core.Transforms;

#if NET_CF20
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"cf.follower.y2007.m04, version=0.0.0.0, culture=neutral, publickeytoken=f83f65c535ab13d7")]
#else
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"follower.y2007.m04, version=0.0.0.0, culture=neutral, publickeytoken=f83f65c535ab13d7")]
#endif
#if !URT_MINCLR
[assembly: System.Security.SecurityTransparent]
[assembly: System.Security.AllowPartiallyTrustedCallers]
#endif

namespace Dss.Transforms.TransformFollower
{

    public class Transforms: TransformBase
    {

        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_FollowerState_TO_Microsoft_Robotics_Services_Sample_Follower_FollowerState(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.FollowerState target = new Microsoft.Robotics.Services.Sample.Follower.FollowerState();
            Microsoft.Robotics.Services.Sample.Follower.Proxy.FollowerState from = transformFrom as Microsoft.Robotics.Services.Sample.Follower.Proxy.FollowerState;
            target.DriveState = (from.DriveState == null) ? null : (Microsoft.Robotics.Services.Drive.Proxy.DriveDifferentialTwoWheelState)((Microsoft.Dss.Core.IDssSerializable)from.DriveState).Clone();
            target.Velocity = from.Velocity;
            target.MostRecentLaserData = (from.MostRecentLaserData == null) ? null : (Microsoft.Robotics.Services.Sensors.SickLRF.Proxy.State)((Microsoft.Dss.Core.IDssSerializable)from.MostRecentLaserData).Clone();
            target.MostRecentLaserTime = from.MostRecentLaserTime;
            target.Countdown = from.Countdown;
            target.LogicalState = (Microsoft.Robotics.Services.Sample.Follower.LogicalStateType)((System.Int32)from.LogicalState);
            target.PreBehaviorState = (Microsoft.Robotics.Services.Sample.Follower.RobotBehavior)((System.Int32)from.PreBehaviorState);
            target.BehaviorState = (Microsoft.Robotics.Services.Sample.Follower.RobotBehavior)((System.Int32)from.BehaviorState);
            target.currentObjectResult = (from.currentObjectResult == null) ? null : (Microsoft.Robotics.Services.Sample.SimpleVision.Proxy.ObjectResult)((Microsoft.Dss.Core.IDssSerializable)from.currentObjectResult).Clone();
            target.currentFaceResult = (from.currentFaceResult == null) ? null : (Microsoft.Robotics.Services.Sample.SimpleVision.Proxy.FaceResult)((Microsoft.Dss.Core.IDssSerializable)from.currentFaceResult).Clone();
            target.currentHandGestureResult = (from.currentHandGestureResult == null) ? null : (Microsoft.Robotics.Services.Sample.SimpleVision.Proxy.HandGestureResult)((Microsoft.Dss.Core.IDssSerializable)from.currentHandGestureResult).Clone();
            target.TimerIntervalInMs = from.TimerIntervalInMs;
            target.FaceResultValidTime = from.FaceResultValidTime;
            target.HandGestureResultValidTime = from.HandGestureResultValidTime;
            target.SpeechCommandValidTime = from.SpeechCommandValidTime;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_FollowerState_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_FollowerState(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.Proxy.FollowerState target = new Microsoft.Robotics.Services.Sample.Follower.Proxy.FollowerState();
            Microsoft.Robotics.Services.Sample.Follower.FollowerState from = transformFrom as Microsoft.Robotics.Services.Sample.Follower.FollowerState;
            target.DriveState = (from.DriveState == null) ? null : (Microsoft.Robotics.Services.Drive.Proxy.DriveDifferentialTwoWheelState)((Microsoft.Dss.Core.IDssSerializable)from.DriveState).Clone();
            target.Velocity = from.Velocity;
            target.MostRecentLaserData = (from.MostRecentLaserData == null) ? null : (Microsoft.Robotics.Services.Sensors.SickLRF.Proxy.State)((Microsoft.Dss.Core.IDssSerializable)from.MostRecentLaserData).Clone();
            target.MostRecentLaserTime = from.MostRecentLaserTime;
            target.Countdown = from.Countdown;
            target.LogicalState = (Microsoft.Robotics.Services.Sample.Follower.Proxy.LogicalStateType)((System.Int32)from.LogicalState);
            target.PreBehaviorState = (Microsoft.Robotics.Services.Sample.Follower.Proxy.RobotBehavior)((System.Int32)from.PreBehaviorState);
            target.BehaviorState = (Microsoft.Robotics.Services.Sample.Follower.Proxy.RobotBehavior)((System.Int32)from.BehaviorState);
            target.currentObjectResult = (from.currentObjectResult == null) ? null : (Microsoft.Robotics.Services.Sample.SimpleVision.Proxy.ObjectResult)((Microsoft.Dss.Core.IDssSerializable)from.currentObjectResult).Clone();
            target.currentFaceResult = (from.currentFaceResult == null) ? null : (Microsoft.Robotics.Services.Sample.SimpleVision.Proxy.FaceResult)((Microsoft.Dss.Core.IDssSerializable)from.currentFaceResult).Clone();
            target.currentHandGestureResult = (from.currentHandGestureResult == null) ? null : (Microsoft.Robotics.Services.Sample.SimpleVision.Proxy.HandGestureResult)((Microsoft.Dss.Core.IDssSerializable)from.currentHandGestureResult).Clone();
            target.TimerIntervalInMs = from.TimerIntervalInMs;
            target.FaceResultValidTime = from.FaceResultValidTime;
            target.HandGestureResultValidTime = from.HandGestureResultValidTime;
            target.SpeechCommandValidTime = from.SpeechCommandValidTime;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_BoolFlag_TO_Microsoft_Robotics_Services_Sample_Follower_BoolFlag(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.BoolFlag target = new Microsoft.Robotics.Services.Sample.Follower.BoolFlag();
            Microsoft.Robotics.Services.Sample.Follower.Proxy.BoolFlag from = transformFrom as Microsoft.Robotics.Services.Sample.Follower.Proxy.BoolFlag;
            target.OnOff = from.OnOff;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_BoolFlag_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_BoolFlag(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.Proxy.BoolFlag target = new Microsoft.Robotics.Services.Sample.Follower.Proxy.BoolFlag();
            Microsoft.Robotics.Services.Sample.Follower.BoolFlag from = transformFrom as Microsoft.Robotics.Services.Sample.Follower.BoolFlag;
            target.OnOff = from.OnOff;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_RequestRobotBehavior_TO_Microsoft_Robotics_Services_Sample_Follower_RequestRobotBehavior(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.RequestRobotBehavior target = new Microsoft.Robotics.Services.Sample.Follower.RequestRobotBehavior();
            Microsoft.Robotics.Services.Sample.Follower.Proxy.RequestRobotBehavior from = transformFrom as Microsoft.Robotics.Services.Sample.Follower.Proxy.RequestRobotBehavior;
            target.Behavior = (Microsoft.Robotics.Services.Sample.Follower.RobotBehavior)((System.Int32)from.Behavior);
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_RequestRobotBehavior_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_RequestRobotBehavior(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.Proxy.RequestRobotBehavior target = new Microsoft.Robotics.Services.Sample.Follower.Proxy.RequestRobotBehavior();
            Microsoft.Robotics.Services.Sample.Follower.RequestRobotBehavior from = transformFrom as Microsoft.Robotics.Services.Sample.Follower.RequestRobotBehavior;
            target.Behavior = (Microsoft.Robotics.Services.Sample.Follower.Proxy.RobotBehavior)((System.Int32)from.Behavior);
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_LogicalStateType_TO_Microsoft_Robotics_Services_Sample_Follower_LogicalStateType(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.LogicalStateType target = new Microsoft.Robotics.Services.Sample.Follower.LogicalStateType();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_LogicalStateType_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_LogicalStateType(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.Proxy.LogicalStateType target = new Microsoft.Robotics.Services.Sample.Follower.Proxy.LogicalStateType();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_RobotBehavior_TO_Microsoft_Robotics_Services_Sample_Follower_RobotBehavior(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.RobotBehavior target = new Microsoft.Robotics.Services.Sample.Follower.RobotBehavior();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_RobotBehavior_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_RobotBehavior(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.Proxy.RobotBehavior target = new Microsoft.Robotics.Services.Sample.Follower.Proxy.RobotBehavior();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_BumperPressedType_TO_Microsoft_Robotics_Services_Sample_Follower_BumperPressedType(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.BumperPressedType target = new Microsoft.Robotics.Services.Sample.Follower.BumperPressedType();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_BumperPressedType_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_BumperPressedType(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.Proxy.BumperPressedType target = new Microsoft.Robotics.Services.Sample.Follower.Proxy.BumperPressedType();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_TurnType_TO_Microsoft_Robotics_Services_Sample_Follower_TurnType(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.TurnType target = new Microsoft.Robotics.Services.Sample.Follower.TurnType();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_Follower_TurnType_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_TurnType(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.Follower.Proxy.TurnType target = new Microsoft.Robotics.Services.Sample.Follower.Proxy.TurnType();
            return target;
        }

        static Transforms()
        {
            Register();
        }
        public static void Register()
        {
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.Proxy.FollowerState), Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_FollowerState_TO_Microsoft_Robotics_Services_Sample_Follower_FollowerState);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.FollowerState), Transform_Microsoft_Robotics_Services_Sample_Follower_FollowerState_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_FollowerState);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.Proxy.BoolFlag), Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_BoolFlag_TO_Microsoft_Robotics_Services_Sample_Follower_BoolFlag);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.BoolFlag), Transform_Microsoft_Robotics_Services_Sample_Follower_BoolFlag_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_BoolFlag);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.Proxy.RequestRobotBehavior), Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_RequestRobotBehavior_TO_Microsoft_Robotics_Services_Sample_Follower_RequestRobotBehavior);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.RequestRobotBehavior), Transform_Microsoft_Robotics_Services_Sample_Follower_RequestRobotBehavior_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_RequestRobotBehavior);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.Proxy.LogicalStateType), Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_LogicalStateType_TO_Microsoft_Robotics_Services_Sample_Follower_LogicalStateType);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.LogicalStateType), Transform_Microsoft_Robotics_Services_Sample_Follower_LogicalStateType_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_LogicalStateType);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.Proxy.RobotBehavior), Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_RobotBehavior_TO_Microsoft_Robotics_Services_Sample_Follower_RobotBehavior);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.RobotBehavior), Transform_Microsoft_Robotics_Services_Sample_Follower_RobotBehavior_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_RobotBehavior);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.Proxy.BumperPressedType), Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_BumperPressedType_TO_Microsoft_Robotics_Services_Sample_Follower_BumperPressedType);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.BumperPressedType), Transform_Microsoft_Robotics_Services_Sample_Follower_BumperPressedType_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_BumperPressedType);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.Proxy.TurnType), Transform_Microsoft_Robotics_Services_Sample_Follower_Proxy_TurnType_TO_Microsoft_Robotics_Services_Sample_Follower_TurnType);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.Follower.TurnType), Transform_Microsoft_Robotics_Services_Sample_Follower_TurnType_TO_Microsoft_Robotics_Services_Sample_Follower_Proxy_TurnType);
        }
    }
}

